org.apache.cassandra.db.partitions

## Class UnfilteredPartitionIterators.Serializer

- java.lang.Object
- - org.apache.cassandra.db.partitions.UnfilteredPartitionIterators.Serializer

Enclosing class:
  UnfilteredPartitionIterators

    public static class UnfilteredPartitionIterators.Serializer
    extends java.lang.Object

Serialize each UnfilteredSerializer one after the other, with an initial byte that indicates whether we're done or not.

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UnfilteredPartitionIterator` `deserialize(DataInputPlus in, int version, CFMetaData metadata, ColumnFilter selection, SerializationHelper.Flag flag)`
`void` `serialize(UnfilteredPartitionIterator iter, ColumnFilter selection, DataOutputPlus out, int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(UnfilteredPartitionIterator iter,
                          ColumnFilter selection,
                          DataOutputPlus out,
                          int version)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public UnfilteredPartitionIterator deserialize(DataInputPlus in,
                                                   int version,
                                                   CFMetaData metadata,
                                                   ColumnFilter selection,
                                                   SerializationHelper.Flag flag)
                                            throws java.io.IOException

Throws:
  `java.io.IOException`